unit Menu_cmd; 

{ Contains global constants for SRDB Turbo Vision Version }

interface

uses Views;

const
  cmNewRec      = 101;
  cmEditRec     = 102;
  cmDupRec      = 103;
  cmDelRec      = 104;
  cmMixRec      = 105;
  cmRecLinks    = 106;

  cmOrder       = 110;
  cmPart        = 111;

  cmFullSel     = 113;
  cmLinksSel    = 114;
  cmProjectSel  = 115;
  cmQuerySel    = 116;
  cmSortSel     = 117;
  cmPrintSel    = 118;
  cmCountSumm   = 119;
  cmEraseSel    = 120;
  cmChangeSel   = 121;

  UseCmdSet     = [100..139]; { 130..139 are resrved for user programs }
  UseCmdSet1    = [cmEditRec,cmDupRec,cmDelRec,cmMixRec,cmRecLinks];
  UseCmdSet2    = [cmRecLinks,
                   cmFullSel,cmLinksSel,cmProjectSel,cmQuerySel];

  cmExpColaps   = 140; { Field Selector }
  cmAddSortEl   = 141; { Sort & Query List Selector }
  cmDelSortEl   = 142;
  cmToggle      = 143;
  cmChFldVal    = 144;
  cmSetSorsFld  = 145; { Colapse File List Selector }
  cmSetFldValue = 146;

  cmNewFld      = 171;
  cmEditFld     = 172;
  cmDelFld      = 173;
  cmMvUpFld     = 175;
  cmMvDnFld     = 176;
  cmExpandFld   = 177;
  cmColapsFld   = 178;

  DesCmdSet     = [170..199];
  DesCmdSet1    = [cmDelFld,cmEditFld,cmMvUpFld,cmMvDnFld,cmExpandFld];

  cmUse         = 200;
  cmDesign      = 201;
  cmNewFile     = 202;
  cmDupFile     = 203;
  cmDelFile     = 204;
  cmRenFile     = 205;
  cmImportDBF   = 206;

  RootCmdSet    = [200..254];
  RootCmdSet1   = [cmUse,cmDesign,cmDupFile,cmDelFile,
                   cmRenFile];

{------------------------------------------}

  cmNoCommand    = 1000;
  cmAbout        = 1001;
  cmBrouseDouble = 1002;
  cmCreateIndex  = 1003;
  cmCountMsg     = 1004;
  cmOpenDataMsg  = 1005;
  cmCreateFullSel= 1006;
  cmCreateQuerSel= 1007;
  cmCreateLinkSel= 1008;
  cmCreateProjSel= 1009;
  cmColapsFileLop= 1010;

  cmSetCursor    = 1013;
  cmRecErased    = 1014;

  cmUseFile      = 1015;
  cmDesFile      = 1016;

  cmEditPtr      = 1020;

{------------------------------------------}

  hcEditRec    = 1000;
  hcEditPtr    = 1010;
  hcFileList   = 1020;
  hcChoisList  = 1100;
  hcDesignFile = 1200;
  hcUseFile    = 1300;
  hcSelOne     = 1350;
  hcSelection  = 1400;
  hcIncluded   = 1450;
  hcFldSelect  = 1500;
  hcSortSelect = 1600;
  hcQueryList  = 1700;
  hcColapsList = 1800;

{------------------------------------------}

  wpBrownWindow = wpCyanWindow;

{------------------------------------------}

implementation

end.
