unit str_def;

{$I options.pp}

interface

uses
 {$IFDEF FPC}   sk_types, {$ENDIF}
 {$IFDEF Turbo} skl_defs, {$ENDIF}
 disk_rec;

const
 { APP_DEF }
 esDoAboutBox0 =  0;
 esDoAboutBox1 =  1;
 esDoAboutBox2 =  2;
 esDoAboutBox3 =  3;
 esMissFields0 =  4;
 { BROUSERS }
 esEraseRecMsg = 10;
 esAreYouShure = 11;
 esAllgSpcPrnt = 12;
 esAllgSpcFile = 13;
 esAllgTabFile = 14;
 esPrFileReady = 15;
 esPrFileOKQst = 16;
 esPrFilePaper = 17;
 esPrFileNewPp = 18;
 esEraseSelMsg = 19;
 { DATAFILE }
 esNewFldShort = 20;
 esMayLousData = 21;
 esDoTransform = 22;
 esUnSortOrder = 23;
 esInpossible0 = 24;
 esBadDupAttmp = 25;
 esLnkRecInUse = 26;
 esRecIsNowUsd = 27;
 esManyLinksTo = 28;
 { DATAFILE (Index) }
 esBalInposibl = 30;
 esIndNotFound = 31;
 esIndxStckOfl = 32;
 { DESIGNER }
 esColapsFldW0 = 36;
 esColapsFldW1 = 37;
 esColapsFldW2 = 38;
 esColapsFldW3 = 39;
 esLengInBytes = 40;
 esALabName    = 41;
 esALabType    = 42;
 esALabSSize   = 43;
 esALabCName   = 44;
 esALabIndex   = 45;
 esALabUTest   = 46;
 esALabIRoot   = 47;
 esALabULine   = 48;
 esALabCSumm   = 49;
 esDesBrowHead = 50;
 esDupFldNames = 51;
 esManyFldDefs = 52;
 esNewFldCreat = 53;
 esSelNewRtInd = 54;
 esFldChngInps = 55;
 esErasFldData = 56;
 esWillChnFlds = 57;
 esColapsFldWT = 58;
 esColapsTitle = 59;
 { FILE_WIN }
 esRootFileYes = 60;
 esUpdProjHed0 = 61;
 esFileNamesDl = 62;
 esLineCtrSize = 63;
 esEntDos_Name = 64;
 esEntLongName = 65;
 esEntShrtName = 66;
 esFilesBrHead = 67;
 esExistSamNam = 68;
 esDestrTmpFil = 69;
 esNoDstLnkFil = 70;
 esFilesClHead = 71;
 { TV_SORT }
 esNoMemForSrt = 73;
 { Mem_Rec }
 esNoMemForCsh = 75;
 { Disk_Rec }
 esBadFRecSize = 77;
 { INFO_DEF }
 esCanTFindFil = 80;
 esNowIMOpenFl = 81;
 esNowIMCrncFl = 82;
 esQuerySelect = 83;
 esLinksSelect = 84;
 esProjtSelect = 85;
 esCreateSelec = 86;
 esExtrFldData = 87;
 esBuildingInd = 88;
 esBuildingIn1 = 89;
 { RECORDS }
 esIntervOrVal = 90;
 esProtRecordE = 91;
 esProtDelErr0 = 92;
 esInitialVal0 = 93;
 esInitialVal1 = 94;
 esDefMixRecds = 95;
 { SELECTOR }
 esAllRecords0 = 100;
 esCopySelect0 = 101;
 esNoMemForLst = 102;
 esTooLongList = 103;
 esFldForSort0 = 104;
 esFldForQuery = 105;
 esNoMemForSet = 106;
 esQueryWTitle = 107;
 { Files }
 esDiskNewAttm = 110;
 esDiskOpError = 111;
 esDiskOpErr   = 112; { 8 numbers reserved for disk operation names }
 esDiskErr_001 = 120;
 esDiskErr_002 = 121;
 esDiskErr_003 = 122;
 esDiskErr_004 = 123;
 esDiskErr_005 = 124;
 esDiskErr_006 = 125;
 esDiskErr_012 = 126;
 esDiskErr_015 = 127;
 esDiskErr_016 = 128;
 esDiskErr_018 = 129;
 esDiskErr_020 = 130;
 esDiskErr_100 = 131;
 esDiskErr_101 = 132;
 esDiskErr_102 = 133;
 esDiskErr_103 = 134;
 esDiskErr_104 = 135;
 esDiskErr_105 = 136;
 esDiskErr_106 = 137;
 esDiskErr_150 = 138;
 esDiskErr_151 = 139;
 esDiskErr_152 = 140;
 esDiskErr_154 = 141;
 esDiskErr_156 = 142;
 esDiskErr_157 = 143;
 esDiskErr_158 = 144;
 { DESIGNER appendix_1 }
 esColapsErr00 = 150;
 esColapsErr01 = 151;
 esColapsErr02 = 152;
 esColapsErr03 = 153;
 esColapsErr04 = 154;
 esColapsTit01 = 155;
 esExpandAccep = 156;
 esALabPSumm   = 157;
 { SRDB }
 esSRDB_Help_0 = 160;
 esSRDB_Help_1 = 161;
 esSRDB_Help_2 = 162;
 esSRDB_Help_3 = 163;
 esSRDB_Help_4 = 164;
 esSRDB_Help_5 = 165;
 esSRDB_Help_6 = 166;
 esSRDB_Help_7 = 167;
 esSRDB_Help_8 = 168;
 esSRDB_Help_9 = 169;
 { Lines }
 esBadNumRange = 170;
 esBadNumFormt = 171;
 { ErrFile Length }
 esErrFileLen  = esBadNumFormt+1;

type
 TErrStr = string[55];

var
 ErrFile:TRecFileDrv;

function ErrStr(Num:word):TErrStr;
function ErrFileInit:boolean;
procedure ErrNum(Num:word);
procedure MsgNum(Num:word);
{$IFDEF TVision}
function YN_Num2(Num1,Num2:word):boolean;
{$ENDIF}

implementation

uses
{$IFDEF TVision} tv_box; {$ENDIF}
{$IFDEF NoTV} sr_recs; {$ENDIF}

procedure ErrNum(Num:word); begin LifeError(ErrStr(Num)) end;
procedure MsgNum(Num:word); begin WarningMsg(ErrStr(Num)) end;
{$IFDEF TVision}
function YN_Num2(Num1,Num2:word):boolean;
 begin YN_Num2:=YN_Win2(ErrStr(Num1),ErrStr(Num2)) end;
{$ENDIF}

function ErrStr(Num:word):TErrStr;
 var s:TErrStr;
 begin ErrFile.GetRec(Num,s); ErrStr:=s end;

function ErrFileInit:boolean;
{$ifdef Turbo}
 var s:StdString;
 begin
  s:=ParamStr(0);
  while s[length(s)]<>'\' do delete(s,length(s),1);
  ErrFile.Init(s+'SRDB.STR',SizeOf(TErrStr));
  if ErrFile.Length=esErrFileLen
   then ErrFileInit:=True
   else begin
    writeln; writeln;
    writeln(' SRDB.STR     .');
    writeln('  SRDB.EXE      .');
    writeln('   SRDB.EXE    .');
    writeln; ErrFileInit:=False;
   end;
 end;
{$endif}
{$ifdef FPC}
 begin
  ErrFile.Init('SRDB.STR',SizeOf(TErrStr));
  if ErrFile.Length=esErrFileLen
   then ErrFileInit:=True
   else begin
    writeln; writeln;
    writeln('Resource file SRDB.STR must be in current folder !');
    writeln('There is no such file or it has incorect size !');
    writeln('Create this file with program make_str please ...');
    writeln; ErrFileInit:=False;
   end;
 end;
{$endif}

end.
